.single-event-parent-wrapper{
    position: relative;
}

.single-event-parent{
    background-color: #FBF9F0;
    /* clip-path: ellipse(300% 90% at 50% 10%); */
    
}

.single-event-curve {
    position: relative;
    overflow: hidden;
    height: 50px; /* curve height stays the same */
    background-color: #D6DAC0;
}

.single-event-curve::before {
    content: "";
    position: absolute;
    inset: 0;
    background: #FBF9F0; /* match parent background */
    clip-path: ellipse(60% 90% at 50% 10%);
    z-index: 2;
}

/* Content sits below curve */
.single-event-parent {
    position: relative;
    z-index: 3;
    
}

.single-event-parent-wrapper::after{
    position: absolute;
    content: "";
    width: 100%;
    height: 150px;
    background-color: #D6DAC0;
    bottom: 0;
    left: 0;
    z-index: -1;
}

.single-event-container{
    max-width: 1200px;
    margin: auto;
    padding-top: 200px;
    padding-bottom: 150px;
}

.event-footer{
    margin-bottom: 40px;
}

.back-to-events{
    color: #27272B;
    font-size: 11px;
    font-style: normal;
    font-weight: 300;
    letter-spacing: 3.48px;
    text-decoration: none;
}

.event-header{
    display: flex;
    align-items: flex-end;
    justify-content: space-between;
    gap: 20px;
    margin-bottom: 10px;
}

.event-categories{
    margin-bottom: 20px;
}

.single-event-title{
    color: #692B39;
    font-size: 35px;
    font-style: normal;
    font-weight: 300;
    letter-spacing: 0.5px;
    max-width: 850px;
    line-height: 43px;
}

.event-share{
    display: flex;
    align-items: center;
    gap: 10px;
    cursor: pointer;
}

.event-share img{
    width: 20px;
    height: auto;

}

.event-share p{
    color: #959595;
    font-size: 10px;
    font-style: normal;
    font-weight: 400;
    letter-spacing: 2.64px;
    text-transform: uppercase;
}

.event-category{
    color: #959595;
    font-size: 10px;
    font-style: normal;
    font-weight: 400;
    letter-spacing: 2.64px;
    text-transform: uppercase;
}

.event-thumbnail img{
    height: 450px;
    width: 100%;
    border-radius: 15px;
    object-fit: cover;
    object-position: center;
    margin-bottom: 50px;
}

.single-event-content-container{
    display: flex;
    align-items: flex-start;
    align-items: stretch;
}

.event-author{
    display: flex;
    flex-direction: column;
    align-items: start;
    margin-right: 30px;
    max-width: fit-content;
}

.event-author-img{
    width: 140px;
    height: 140px;
    border-radius: 50%;
    background-color: #959595;
}

.event-author-img img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 50%;
    background-position: center;
}

.event-author-name{
    color: #646C2E;
    font-size: 20px;
    font-style: normal;
    font-weight: 600;
    line-height: 30px; /* 125% */
    letter-spacing: 0.48px;
    padding-top: 20px;
    text-align: center;
}

.event-content{
    padding-left: 30px;

}

.divider{
    /* height: 100%; */
    width: 1px;
    background-color: #C7C7C7;
    flex-shrink: 0;
    align-self: stretch;
}

.event-author,
.event-content {
    flex: 1; /* both columns fill height */
}

.event-content img{
    width: 100%;
    height: auto;
    border-radius: 15px;
    margin: 20px 0;
}

.event-content .wp-video,
.event-content .wp-video-shortcode {
    aspect-ratio: 16 / 9;
    width: 100% !important;
    height: auto !important;
}
.event-content video,
.event-content iframe
{
    width: 100% !important;
    object-fit: cover;
    object-position: top;
    cursor: pointer;
}

.mejs-container.mejs-container-fullscreen video {
    object-fit: contain !important; 
    object-position: center !important;
    width: 100% !important;
    height: 100% !important;
}

.event-date{
    color: #989898;
    font-size: 16px;
    font-style: normal;
    font-weight: 300;
    white-space: nowrap;
}

.event-content p{
    color: #27272B;
    font-size: 16px;
    font-style: normal;
    font-weight: 300;
    line-height: 24px; /* 140% */
    margin-bottom: 20px;
}

.event-content h2{
    color: #692B39;
    font-size: 16px;
    font-style: normal;
    font-weight: 600;
    line-height: 28px;
    margin-bottom: 20px;
    letter-spacing: 0.5px;
}


.volunteer-section-wrapper::before{
    content: "";
    width: 100%;
    height: 100px;
    position: absolute;
    left: 0;
    top: 0;
    background-color: #D6DAC0;
    z-index: 0;
}

.volunteer-section-wrapper::after{
    content: "";
    width: 100%;
    height: 100px;
    position: absolute;
    left: 0;
    bottom: 0;
    background-color: #FBF9F0;
    z-index: -1;
}

.bottom-section-bg{
    background-color: #D6DAC0;
}

.events-section{
    background-color: #D6DAC0;
    padding-top: 50px;
    /* transform: translateY(-50px); */
    padding-bottom: 540px;
}

.events-section .section-title{
    text-align: center;
    color: #46492A;
    font-size: 57px;
    margin-bottom: 30px;
    font-weight: 300;
    letter-spacing: 0.2px;
}

/* event carousel start */

.event-cards-container{
    /* perspective: 500px; */
    padding: 2rem;
}

.event-card{
    position: relative;
    width: 440px;
    height: 430px;
    border-radius: 10px;
    transform-style: preserve-3d;
    transition: transform 0.5s ease-out, box-shadow 0.5s ease;
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.2);
    backdrop-filter: blur(10px);
}

.event-card-img{
    width: 100%;
    height: 100%;
    border-radius: 10px;
    object-fit: cover;
    object-position: center;
}

.event-date-container{
    position: absolute;
    top: 0;
    right: 0;
    background-color: white;
    border-top-right-radius: 10px;
    border-bottom-left-radius: 10px;
    padding: 20px 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
    
}

.event-date-container span{
    line-height: 100%;
    font-size: 16px;
    font-weight: 300;
    letter-spacing: 0.2px;
}

.event-date-container .day{
    color: #646C2E;
    font-size: 50px;
    font-weight: 700;
}

.event-content-container{
    position: absolute;
    bottom: 0;
    left : 0;
    padding: 30px 30px;
}

.event-title{
    color: #fff;
    font-weight: 400;
    line-height: 34px;
    font-size: 28px;
    /* padding-right: 130px; */
}

.event-overlay-container{
    max-height: 0;
    overflow: hidden;
    transition: all 0.3s ease-in-out;
    display: flex;
    align-items: center;
    gap: 40px;
    margin-top: 0;
}

.event-card:hover .event-overlay-container{
    max-height: 200px;
    margin-top: 20px;
}

.event-overlay-container p{
    color: white;
    font-size: 20px;
    font-weight: 300;
    letter-spacing: 0.5px;
    line-height: 25px;

    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;
    text-overflow: ellipsis;
}

.event-overlay-container a{
    min-width: 55px;
    height: 55px;
    border-radius: 50%;
    border : 1px solid #DDA544;
    display: grid;
    flex: 1;
    place-items: center;
    background-color: transparent;
    transition: all 0.2s ease-in-out;
}

.event-overlay-container svg{
    width: 23px;
    height: 19px;
}

.event-overlay-container a:hover{
    background-color: #DDA544;
}

.event-overlay-container a svg path{
    transition: all 0.2s ease-in-out;
}

.event-overlay-container a:hover svg path{
    color: white;
    fill: white;
}

/* Gradient overlay at the bottom */
.event-card::before {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%; /* adjust height for gradient coverage */
    background: linear-gradient(to top, rgba(0,0,0,0.6), rgba(0,0,0,0.1)); /* dark to transparent */
    pointer-events: none; /* so overlay doesn’t block clicks */
    border-radius: 10px;
    opacity: 0;
    transition: all 0.2s ease-in-out;
}

.event-card:hover::before {
    opacity: 1; /* appear on hover */
}

.view-all-events{
    display: block;
    width: fit-content;
    margin: auto;
    color: #fff;
    background-color: #646C2E;
    border: 1px solid transparent;
    text-decoration: none;
    overflow: hidden;
    transition: all 0.3s ease;
    border-radius: 50px;
    margin-top: 30px;
    
}

.view-all-events:hover{
    background-color: transparent;
    color: #646C2E;
    border: 1px solid #646C2E;
}

/* event carousel end */

.event-thumbnail-footer{
    display: none;
}

.event-details{
    max-width: 250px;
    width: 250px;
    flex-shrink: 0;
}

.event-details-title{
    color: #646C2E;
    font-size: 20px;
    font-style: normal;
    font-weight: 600;
    line-height: 30px; /* 125% */
    letter-spacing: 0.48px;
    margin-bottom: 30px;
}

.event-detail-title{
    color: #959595;
    font-size: 9px;
    font-weight: 400;
    letter-spacing: 2.64px;
    margin-bottom: 5px;
}

.event-detail-container{
    margin-bottom: 20px;
}

.event-detail{
    color: #27272B;
    font-size: 18px;
    font-style: normal;
    font-weight: 300;
    letter-spacing: 0.5px;
}

.event-details a{
    color: white;
    border-radius: 50px;
    background-color: #692B39;
    text-decoration: none;
    display: inline-block;
    transition: all 0.2s ease-in-out;
    border: 1px solid transparent;
    width: fit-content;
    margin-top: 20px;
}

.event-details a:hover{
    background-color: transparent;
    color: #692B39;
    border: 1px solid #692B39;
}

@media screen and (max-width: 1100px) {
    .single-event-container{
        padding-bottom: 135px;
        padding-top: 160px;
    }

    .events-section{
        padding-bottom: 260px;
    }

    .single-event-parent{
        /* clip-path: ellipse(350% 90% at 50% 10%); */
    }
}

@media screen and (max-width: 1024px) {
    .events-section .section-title{
        font-size: 48px;
    }

    .single-event-title{
        font-size: 28px;
    }

    .event-author{
        margin-right: 30px;
    }

    .event-details{
        max-width: 200px;
        width: 200px;
    }

    .event-author{
        max-width: 120px;
    }

    .event-author-img{
        width: 100px;
        height: 100px;
    }
}
@media screen and (max-width: 850px) {
    .events-section .section-title{
        font-size: 38px;
    }
}

@media screen and (max-width: 600px) {
    .single-event-container{
        padding-top: 110px;
        padding-bottom: 60px;
    }

    .back-to-events{
        color: #27272B;
        font-family: Nunito;
        font-size: 10.5px;
        font-style: normal;
        line-height: 19.879px; /* 189.321% */
        letter-spacing: 2.1px;
    }

    .event-footer{
        margin-bottom: 40px;
    }

    .event-header{
        margin-bottom: 3px;
    }

    .event-categories{
        margin-bottom: 10px;
    }

    .single-event-title{
        color: #692B39;
        font-family: Nunito;
        font-size: 20px;
        font-style: normal;
        line-height: 25px; /* 125% */
        letter-spacing: 0.5px;
    }

    .event-share.desktop{
        display: none;
    }

    .event-thumbnail img{
        height: 125px;
        margin-bottom: 15px;
    }

    .event-thumbnail-footer{
        display: flex;
        align-items: flex-start;
        justify-content: space-between;
        gap: 20px;
        margin-bottom: 20px;
    }

    .event-author-name{
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        padding-top: 0;
        gap: 3px;
    }

    .event-author.desktop{
        display: none;
    }

    .event-author-name{
        color: #646C2E;
        font-family: Nunito;
        font-size: 16.5px;
        font-style: normal;
        line-height: 21px; /* 138.36% */
        letter-spacing: 0.5px;

    }

    .event-date{
        color: #989898;
        font-family: Nunito;
        font-size: 16px;
        font-style: normal;
        line-height: 21px; /* 145.98% */
        letter-spacing: 0.5px;
    }

    .event-share img{
        width: 15px;
    }

    .event-share p{
        color: #959595;
        text-align: right;
        font-family: Nunito;
        font-size: 9px;
        font-style: normal;
        line-height: normal;
        letter-spacing: 1.98px;
    }

    .event-category{
        color: #959595;
        text-align: right;
        font-family: Nunito;
        font-size: 9px;
        font-style: normal;
        line-height: normal;
        letter-spacing: 1.98px;
    }

    .event-content{
        padding-left: 0;
        padding-top: 40px;
        border-left: 0px;
        border-top: 1px solid #C7C7C7;
    }

    .event-content p{
        color: #27272B;
        font-family: Nunito;
        font-size: 16px;
        font-style: normal;
        line-height: 21px; /* 140.518% */
        letter-spacing: 0.5px;
        margin-bottom: 15px;
    }

    .event-content h2{
        color: #692B39;
        font-family: Nunito;
        font-size: 14px;
        font-style: normal;
        line-height: 19.672px;
        letter-spacing: 0.28px;
        margin-bottom: 15px;
    }

    .single-event-parent{
        /* clip-path: ellipse(270% 90% at 50% 10%); */
    }

    .single-event-curve::before{
        clip-path: ellipse(60% 60% at 50% 5%);
    }

    .events-section{
        padding-top: 20px;
        padding-bottom: 130px;
    }

    .events-section .section-title{
        font-size: 30px;
        line-height: 32px; /* 114.286% */
        letter-spacing: 0.56px;
        max-width: 250px;
        margin: auto;
        margin-bottom: 0px;
    }

    .event-cards-container{
        padding-top: 40px;
        padding-bottom: 40px;
    }

    .view-all-events{
        margin-top: 0;
    }

    .event-card{
        width: 300px;
        height: 300px;
    }

    .event-date-container span:not(.day){
        font-size: 14px;
    }

    .event-date-container .day{
        font-size: 30px;
    }

    .event-title{
        font-size: 20px;
        padding-right: 0;
        line-height: 25px;
        letter-spacing: 0.5px;
    }

    .event-card:hover .event-overlay-container{
        margin-top: 10px;
    }

    .event-overlay-container p{
        font-size: 16px;
        line-height: 21px;
        letter-spacing: 0.5px;

        display: -webkit-box;
        -webkit-line-clamp: 2;       
        -webkit-box-orient: vertical;
        overflow: hidden;
        text-overflow: ellipsis;
    }

    .event-overlay-container{
        gap: 20px;
        align-items: flex-end;
    }


    .event-card .event-overlay-container{
        margin-top: 10px;
        max-height: 200px;
    }

    .event-card::before {
        opacity: 1; /* appear on hover */
    }

    .event-overlay-container a{
        min-width: 35px;
        height: 35px;
    }

    .event-overlay-container a svg{
        width: 20px;
        height: 20px;
    }

    .event-content-container{
        padding: 25px 30px;
    }

    .divider{
        display: none;
    }

    .event-details-title{
        font-size: 20px;
        letter-spacing: 0.5px;
        line-height: 25px;
        margin-bottom: 15px;
    }

    .event-detail-title{
        color: #959595;
        text-align: left;
        font-family: Nunito;
        font-size: 7.5px;
        font-style: normal;
        line-height: normal;
        letter-spacing: 2.08px;
    }

    .event-detail{
        font-size: 16px;
        letter-spacing: 0.5px;
    }

    .register-btn{
        color: white;
        border-radius: 50px;
        background-color: #692B39;
        text-decoration: none;
        display: inline-block;
        transition: all 0.2s ease-in-out;
        border: 1px solid transparent;
        width: fit-content;
    }

    .register-btn:hover{
        background-color: transparent;
        color: #692B39;
        border: 1px solid #692B39;
    }

    .volunteer-content h2{
        max-width: 310px;
    }
}